Ticket fields
GET
/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}
Retrieves a single summary settings by id for dynamic fields.
Corps de la réponse
id
string
obligatoire
default
boolean
name
string
obligatoire
description
string
obligatoire
fields
array of object
obligatoire
Afficher les attributs enfants
fields.id
string
obligatoire
fields.name
string
obligatoire
fields.description
string
fields.type
string
obligatoire
Possible values: single, multiple, numeric, text, boolean, date
fields.values
array of object
Afficher les attributs enfants
fields.values.id
string
obligatoire
fields.values.value
string
obligatoire
fields.values.icon
string
obligatoire
fields.values.createdAt
string
obligatoire
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Afficher les attributs enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}
Updates a summary settings for dynamic fields
Corps de la requête
default
boolean
name
string
description
string
fields
array of object
Afficher les paramètres enfants
fields.id
string
Should be specified if this field is being updated instead of created. When id is
specified, type cannot be changed. By specifying the id, fields that are updated
will continue to match the same attributes when searching.
fields.name
string
obligatoire
fields.description
string
fields.type
string
obligatoire
Possible values: single, multiple, numeric, text, boolean, date
fields.valueIds
array of string
Use values field instead. valueIds is the previous behaviour where values
needed to be created upfront in another endpoint.
fields.values
array of object
Afficher les paramètres enfants
fields.values.id
string
If specified, it will update this value. If not, it will create a new value and generate an id for it.
fields.values.value
string
fields.values.icon
string
fields.items
string
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Afficher les paramètres enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
Corps de la réponse
id
string
obligatoire
default
boolean
name
string
obligatoire
description
string
obligatoire
fields
array of object
obligatoire
Afficher les attributs enfants
fields.id
string
obligatoire
fields.name
string
obligatoire
fields.description
string
fields.type
string
obligatoire
Possible values: single, multiple, numeric, text, boolean, date
fields.values
array of object
Afficher les attributs enfants
fields.values.id
string
obligatoire
fields.values.value
string
obligatoire
fields.values.icon
string
obligatoire
fields.values.createdAt
string
obligatoire
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Afficher les attributs enfants
allowedEntities.entityType
string
obligatoire
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
obligatoire
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/dynamic-fields-summary-values/{summaryValueId}
Deletes the specific summary value for dynamic fields
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-values/{summaryValueId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'